Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Private Attributes
ArgusSamples::AppModuleGeneric Class Reference

The base app module provides basic settings common to all app modules. More...

`#include <AppModuleGeneric.h>`

Inheritance diagram for ArgusSamples::AppModuleGeneric:

List of all members.

## Public Member Functions

| AppModuleGeneric ()
virtual | ~AppModuleGeneric ()
IAppModule methods
virtual bool | initialize (Options &options)
| Initialize.
virtual bool | shutdown ()
| Shut down.
virtual bool | start (Window::IGuiMenuBar *iGuiMenuBar=NULL, Window::IGuiContainer *iGuiContainerConfig=NULL)
| Start the module.
virtual bool | stop ()
| Stop the module.
Public Member Functions inherited from ArgusSamples::IAppModule
| IAppModule ()
virtual | ~IAppModule ()

## Static Public Member Functions

option callbacks
static bool | info (void *userPtr, const char *optArg)
static bool | loadConfig (void *userPtr, const char *optArg)
static bool | saveConfig (void *userPtr, const char *optArg)
static bool | quit (void *userPtr, const char *optArg)
static bool | verbose (void *userPtr, const char *optArg)
static bool | kpi (void *userPtr, const char *optArg)
static bool | device (void *userPtr, const char *optArg)
static bool | exposureTimeRange (void *userPtr, const char *optArg)
static bool | focusPosition (void *userPtr, const char *optArg)
static bool | gainRange (void *userPtr, const char *optArg)
static bool | sensorMode (void *userPtr, const char *optArg)
static bool | frameRate (void *userPtr, const char *optArg)
static bool | outputSize (void *userPtr, const char *optArg)
static bool | outputPath (void *userPtr, const char *optArg)
static bool | autoFocus (void *userPtr, const char *optArg)
static bool | autoExposure (void *userPtr, const char *optArg)
static bool | vstab (void *userPtr, const char *optArg)
static bool | deNoise (void *userPtr, const char *optArg)
static bool | aeAntibanding (void *userPtr, const char *optArg)
static bool | aeLock (void *userPtr, const char *optArg)
static bool | awbLock (void *userPtr, const char *optArg)
static bool | awb (void *userPtr, const char *optArg)
static bool | exposureCompensation (void *userPtr, const char *optArg)
static bool | deFogEnable (void *userPtr, const char *optArg)
static bool | deFogAmount (void *userPtr, const char *optArg)
static bool | deFogQuality (void *userPtr, const char *optArg)

## Private Attributes

bool | m_initialized
| set if initialized
bool | m_running
| set if running
Window::IGuiMenuBar * | m_guiMenuBar
| menu bar
Window::IGuiContainer * | m_guiContainerConfig
| configuration GUI container
Window::IGuiContainerGrid * | m_guiConfig
| configuration GUI

## Detailed Description

The base app module provides basic settings common to all app modules.

Definition at line 41 of file AppModuleGeneric.h.

## Constructor & Destructor Documentation

ArgusSamples::AppModuleGeneric::AppModuleGeneric | ( |  | ) |

Definition at line 207 of file AppModuleGeneric.cpp.

ArgusSamples::AppModuleGeneric::~AppModuleGeneric | ( |  | ) |

virtual

Definition at line 216 of file AppModuleGeneric.cpp.

## Member Function Documentation

bool ArgusSamples::AppModuleGeneric::aeAntibanding | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Definition at line 159 of file AppModuleGeneric.cpp.

bool ArgusSamples::AppModuleGeneric::aeLock | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Definition at line 165 of file AppModuleGeneric.cpp.

static bool ArgusSamples::AppModuleGeneric::autoExposure | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

static bool ArgusSamples::AppModuleGeneric::autoFocus | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

bool ArgusSamples::AppModuleGeneric::awb | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Definition at line 177 of file AppModuleGeneric.cpp.

bool ArgusSamples::AppModuleGeneric::awbLock | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Definition at line 171 of file AppModuleGeneric.cpp.

bool ArgusSamples::AppModuleGeneric::deFogAmount | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Definition at line 195 of file AppModuleGeneric.cpp.

bool ArgusSamples::AppModuleGeneric::deFogEnable | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Definition at line 189 of file AppModuleGeneric.cpp.

bool ArgusSamples::AppModuleGeneric::deFogQuality | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Definition at line 201 of file AppModuleGeneric.cpp.

bool ArgusSamples::AppModuleGeneric::deNoise | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Definition at line 153 of file AppModuleGeneric.cpp.

bool ArgusSamples::AppModuleGeneric::device | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Definition at line 98 of file AppModuleGeneric.cpp.

bool ArgusSamples::AppModuleGeneric::exposureCompensation | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Definition at line 183 of file AppModuleGeneric.cpp.

bool ArgusSamples::AppModuleGeneric::exposureTimeRange | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Definition at line 104 of file AppModuleGeneric.cpp.

bool ArgusSamples::AppModuleGeneric::focusPosition | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Definition at line 110 of file AppModuleGeneric.cpp.

bool ArgusSamples::AppModuleGeneric::frameRate | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Definition at line 128 of file AppModuleGeneric.cpp.

bool ArgusSamples::AppModuleGeneric::gainRange | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Definition at line 116 of file AppModuleGeneric.cpp.

bool ArgusSamples::AppModuleGeneric::info | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Definition at line 49 of file AppModuleGeneric.cpp.

bool ArgusSamples::AppModuleGeneric::initialize | ( | Options & | options | ) |

virtual

Initialize.

Parameters:

  [in] | options | each app module can add options

Implements ArgusSamples::IAppModule.

Definition at line 221 of file AppModuleGeneric.cpp.

bool ArgusSamples::AppModuleGeneric::kpi | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Definition at line 92 of file AppModuleGeneric.cpp.

bool ArgusSamples::AppModuleGeneric::loadConfig | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Todo:
  ask for file if called from GUI

Definition at line 58 of file AppModuleGeneric.cpp.

bool ArgusSamples::AppModuleGeneric::outputPath | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Definition at line 141 of file AppModuleGeneric.cpp.

bool ArgusSamples::AppModuleGeneric::outputSize | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Definition at line 135 of file AppModuleGeneric.cpp.

bool ArgusSamples::AppModuleGeneric::quit | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Definition at line 80 of file AppModuleGeneric.cpp.

bool ArgusSamples::AppModuleGeneric::saveConfig | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Todo:
  ask for file if called from GUI

Definition at line 69 of file AppModuleGeneric.cpp.

bool ArgusSamples::AppModuleGeneric::sensorMode | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Definition at line 122 of file AppModuleGeneric.cpp.

bool ArgusSamples::AppModuleGeneric::shutdown | ( |  | ) |

virtual

Shut down.

Implements ArgusSamples::IAppModule.

Definition at line 336 of file AppModuleGeneric.cpp.

bool ArgusSamples::AppModuleGeneric::start | ( | Window::IGuiMenuBar * | iGuiMenuBar = `NULL`,
|  | Window::IGuiContainer * | iGuiContainerConfig = `NULL`
| ) |  |

virtual

Start the module.

Parameters:

  [in] | iGuiMenuBar | optional, the module can add menu items to this menu bar
  [in] | iGuiContainerConfig | optional, the module can add configuration options to this container

Implements ArgusSamples::IAppModule.

Definition at line 351 of file AppModuleGeneric.cpp.

bool ArgusSamples::AppModuleGeneric::stop | ( |  | ) |

virtual

Stop the module.

Implements ArgusSamples::IAppModule.

Definition at line 477 of file AppModuleGeneric.cpp.

bool ArgusSamples::AppModuleGeneric::verbose | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Definition at line 86 of file AppModuleGeneric.cpp.

bool ArgusSamples::AppModuleGeneric::vstab | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Definition at line 147 of file AppModuleGeneric.cpp.

## Member Data Documentation

Window::IGuiContainerGrid* ArgusSamples::AppModuleGeneric::m_guiConfig

private

configuration GUI

Definition at line 91 of file AppModuleGeneric.h.

Window::IGuiContainer* ArgusSamples::AppModuleGeneric::m_guiContainerConfig

private

configuration GUI container

Definition at line 90 of file AppModuleGeneric.h.

Window::IGuiMenuBar* ArgusSamples::AppModuleGeneric::m_guiMenuBar

private

menu bar

Definition at line 89 of file AppModuleGeneric.h.

bool ArgusSamples::AppModuleGeneric::m_initialized

private

set if initialized

Definition at line 87 of file AppModuleGeneric.h.

bool ArgusSamples::AppModuleGeneric::m_running

private

set if running

Definition at line 88 of file AppModuleGeneric.h.

The documentation for this class was generated from the following files:

- ui/common/AppModuleGeneric.h
- ui/common/AppModuleGeneric.cpp